Subject: strange behavior when pulling updates / get uptodate with git.git

From: Nicolas Vilz 'niv' <[email-masked]>
Date: Sat, 08 Apr 2006 21:57:00 +0200

Hello guys,

I experience a loss of tags- and branch-updates, when I try to update my
repository.

I normaly do following

git checkout master
git pull origin

my .git/remotes/origin-file looks like this:

URL: git://git.kernel.org/pub/scm/git/git.git
Pull: refs/heads/master:refs/heads/origin
Pull: refs/heads/todo:refs/heads/todo
Pull: refs/heads/maint:refs/heads/maint
Pull: refs/heads/pu:refs/heads/pu
Pull: refs/heads/man:refs/heads/man
Pull: refs/heads/next:refs/heads/next
Pull: refs/heads/html:refs/heads/html

so i suppose, if i try to pull origin, and i am in master, i should be
able to pull these remote heads each in the correct local head...

But I obviously don't.

after deleting the actual git-repository directory and recloning with

git clone <url>

I have obviously more tags than git was trying to merge before at git
pull origin..

I use git version 1.3.0.rc1.g4c0f (located in the next-tree).

Any hints how this could be better on my system?

Sincerly
Nicolas